#!/bin/sh
#
# Create EC2 security groups.  Don't forget to set your EC2_HOME and
# EC2_PRIVATE_KEY env variables.  And update ZONE in the script if you're
# creating in a different availability zone.
#
# Autogenerated at Mon Apr 25 23:21:56 2011

# networks
CACTI=2.3.4.5/32
OFFICE=1.2.3.4/32

# settings
ZONE=us-west-1
ACCT=342805292197


ec2-create-group --region $ZONE prod-db --description "production database"
ec2-authorize --region $ZONE prod-db --protocol icmp -t -1:-1 -u $ACCT -o monitoring
ec2-authorize --region $ZONE prod-db --protocol tcp -p 5234 -u $ACCT -o prod-web

ec2-create-group --region $ZONE prod-web --description "production web servers"
ec2-authorize --region $ZONE prod-web --protocol icmp -t -1:-1 -u $ACCT -o monitoring

ec2-create-group --region $ZONE staging-db --description "staging databases"
ec2-authorize --region $ZONE staging-db --protocol icmp -t -1:-1 -u $ACCT -o monitoring
ec2-authorize --region $ZONE staging-db --protocol tcp -p 5234 -u $ACCT -o staging-web

ec2-create-group --region $ZONE default --description "default group"
ec2-authorize --region $ZONE default --protocol tcp -p 0-65535 -u $ACCT -o default
ec2-authorize --region $ZONE default --protocol udp -p 0-65535 -u $ACCT -o default
ec2-authorize --region $ZONE default --protocol icmp -t -1:-1 -u $ACCT -o default
ec2-authorize --region $ZONE default --protocol tcp -p 80
ec2-authorize --region $ZONE default --protocol tcp -p 8080
ec2-authorize --region $ZONE default --protocol tcp -p 22 --cidr 50.74.0.42/32
ec2-authorize --region $ZONE default --protocol tcp -p 22 --cidr 75.146.191.221/32

ec2-create-group --region $ZONE monitoring --description "watches servers"

ec2-create-group --region $ZONE staging-web --description "staging web servers"
ec2-authorize --region $ZONE staging-web --protocol icmp -t -1:-1 -u $ACCT -o monitoring
